Library Version 18.1.40

operator--
Prev | Chapter 20. Db_reverse_iterator | Next

## operator--

### Function Details

    self& operator--()

Move this iterator backward by one element.

#### Return Value

The moved iterator at new position.

    self operator--(int)

Move this iterator backward by one element.

#### Return Value

The original iterator at old position.

### Group: Reverse iterator movement functions

When we talk about reverse iterator movement, we think the container is a uni-directional range, represented by [begin, end), and this is true no matter we are using iterators or reverse iterators.

When an iterator is moved closer to "begin", we say it is moved forward, otherwise we say it is moved backward.

### Class

db_reverse_iterator

Prev | Up | Next
Chapter 20. Db_reverse_iterator | Home | operator+